petsc-3.6.2 2015-10-02
Report Typos and Errors

# TAOTRON

The TRON algorithm is an active-set Newton trust region method for bound-constrained minimization.

### Options Database Keys

| -tao_tron_maxgpits | - maximum number of gradient projections per TRON iterate
| -tao_subset_type | - "subvec","mask","matrix-free", strategies for handling active-sets

Level:beginner
Location:src/tao/bound/impls/tron/tron.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/tao/bound/examples/tutorials/jbearing2.c.html